classification
Title: Python docs and downloads not available for Egypt
Type: resource usage Stage:
Components: Documentation Versions: Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Leo.Butcher, benjamin.peterson, docs@python, ezio.melotti, ncoghlan
Priority: normal Keywords:

Created on 2014-03-26 22:27 by Leo.Butcher, last changed 2014-10-06 23:31 by benjamin.peterson. This issue is now closed.

Messages (10)
msg214917 - (view) Author: Leo Butcher (Leo.Butcher) Date: 2014-03-26 22:27
I can't seem to access docs.python.org, mail.python.org, or even legacy.python.org
from my ISP in Egypt "LinkDotNet" the usual dynamic IP range is 41.130.xx.xx
please tell me if you need any further info
msg214923 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-03-27 00:25
What is the mode of failure? (what does traceroute give?)
msg214927 - (view) Author: Leo Butcher (Leo.Butcher) Date: 2014-03-27 02:20
Here is traceroute docs.python.org output

traceroute to docs.python.org (82.94.164.162), 30 hops max, 60 byte packets
 1  192.168.1.1 (192.168.1.1)  0.599 ms  0.955 ms  1.306 ms
 2  * * *
 3  172.18.1.157 (172.18.1.157)  10.235 ms  11.689 ms  12.875 ms
 4  172.18.1.14 (172.18.1.14)  21.340 ms 172.18.1.10 (172.18.1.10)  24.101 ms  24.268 ms
 5  172.20.3.37 (172.20.3.37)  71.788 ms  73.218 ms 172.20.3.41 (172.20.3.41)  29.192 ms
 6  172.19.1.49 (172.19.1.49)  28.975 ms 172.19.1.22 (172.19.1.22)  9.621 ms  10.832 ms
 7  172.19.1.9 (172.19.1.9)  15.741 ms 172.19.1.61 (172.19.1.61)  16.168 ms 172.19.1.9 (172.19.1.9)  15.882 ms
 8  dsl-del-static-137.45.246.61.airtelbroadband.in (61.246.45.137)  77.347 ms dsl-del-static-005.45.246.61.airtelbroadband.in (61.246.45.5)  77.099 ms pos6-0.cr02.ldn01.pccwbtn.net (63.218.54.53)  89.124 ms
 9  * * xe-11-1-2.franco31.fra.seabone.net (89.221.34.55)  71.340 ms
10  100ge3-2.core1.ams1.he.net (72.52.92.214)  81.131 ms ffm-s2-rou-1041.DE.eurorings.net (134.222.249.25)  78.961 ms 100ge3-2.core1.ams1.he.net (72.52.92.214)  74.997 ms
11  ffm-s1-rou-1102.DE.eurorings.net (134.222.229.73)  89.695 ms 100ge3-2.core1.ams1.he.net (72.52.92.214)  88.814 ms ffm-s1-rou-1102.DE.eurorings.net (134.222.229.73)  96.210 ms
12  dssd-s2-rou-1102.DE.eurorings.net (134.222.232.154)  79.726 ms  81.474 ms *
13  * asd2-rou-1022.NL.eurorings.net (134.222.228.73)  69.048 ms *
14  asd2-rou-1044.NL.eurorings.net (134.222.199.83)  134.870 ms * *
15  * * *
16  * * *
17  * * *
18  * * *
19  * * *
20  * * *
21  * * *
22  * * *
23  * * *
24  * * *
25  * * *
26  * * *
27  * * *
28  * * *
29  * * *
30  * * *
msg214929 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-03-27 02:49
I guess that means the IP traffic is getting out. How do you know its failing?
msg214933 - (view) Author: Leo Butcher (Leo.Butcher) Date: 2014-03-27 04:10
I tried different browsers/systems I can just get in with abroad VPN connection
msg214935 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-03-27 05:06
It's hard for me to do anything without more specific information. Maybe you can try the devtools on your browser.
msg219151 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-05-26 10:19
IIUC there was a similar issue from China, and on the old site we fixed it by adding http://legacy.python.org/getit/.
I don't know what was made to this page to make it work from China and if it still exists on the new website, but maybe the same trick could be used in this case as well?

Leo, can you check if the link I posted above works for you and try http://legacy.python.org/download/ as well?
msg219155 - (view) Author: Leo Butcher (Leo.Butcher) Date: 2014-05-26 14:27
Still not working, they both timeout
also the docs subdomain is the same

On Mon, May 26, 2014 at 12:19 PM, Ezio Melotti <report@bugs.python.org>wrote:

>
> Ezio Melotti added the comment:
>
> IIUC there was a similar issue from China, and on the old site we fixed it
> by adding http://legacy.python.org/getit/.
> I don't know what was made to this page to make it work from China and if
> it still exists on the new website, but maybe the same trick could be used
> in this case as well?
>
> Leo, can you check if the link I posted above works for you and try
> http://legacy.python.org/download/ as well?
>
> ----------
> nosy: +ezio.melotti
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue21072>
> _______________________________________
>
msg228532 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-10-05 03:03
Is this problem still occurring?

There were recently some problems in other regions with *.python.org getting caught up in national IP filters, which our CDN provider has now resolved by providing us with dedicated IP addresses. These aren't shared with any other users, and hence shouldn't be subject to IP filtering.
msg228746 - (view) Author: Leo Butcher (Leo.Butcher) Date: 2014-10-06 23:25
Yes, all subdomains are working now for me
History
Date User Action Args
2014-10-06 23:31:53benjamin.petersonsetstatus: open -> closed
2014-10-06 23:25:42Leo.Butchersetstatus: pending -> open

messages: + msg228746
2014-10-06 15:13:50georg.brandlsetstatus: open -> pending
resolution: fixed
2014-10-05 03:03:32ncoghlansetnosy: + ncoghlan
messages: + msg228532
2014-08-30 08:10:32terry.reedysetversions: - Python 3.1, Python 3.2, Python 3.3, Python 3.4
2014-05-26 14:27:38Leo.Butchersetmessages: + msg219155
2014-05-26 10:19:31ezio.melottisetnosy: + ezio.melotti
messages: + msg219151
2014-03-27 05:06:32benjamin.petersonsetmessages: + msg214935
2014-03-27 04:10:47Leo.Butchersetmessages: + msg214933
2014-03-27 02:49:20benjamin.petersonsetmessages: + msg214929
2014-03-27 02:20:35Leo.Butchersetmessages: + msg214927
2014-03-27 00:25:30benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg214923
2014-03-26 22:27:03Leo.Butchercreate